PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchRegisterAll

Registers all of the nonlinear solver methods in the SNESLineSearch package.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchRegisterAll(void)

Not Collective

### See Also

SNESLineSearchRegisterDestroy()

### Level

advanced

### Location

src/snes/linesearch/interface/linesearchregi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages